/* This REXX skript handles the cd copying with cdrdao   */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* Parse the parameters */
parse arg targetDevice imageDrive' "'installDir'" 'simulate


SAY 'Skript for CD copy started'
SAY ''
SAY 'Target: 'targetDevice                       /* The device to write on             */
SAY 'Drive for Image: 'imageDrive                /* The drive where to write the image */
SAY 'Installation directory: 'installDir         /* Installation directory             */
SAY 'Simulate='simulate                          /* 1: simulate, 0: write              */

/* Get write driver from cdrecord.ini */
driver=SysIni(installDir"\cdrecord.ini",'cdrdao','driver')
if driver='ERROR:' then exit
driver=LEFT(driver,LENGTH(driver)-1)
SAY 'Driver: 'driver

/* Get path to cdrdao from cdrecord.ini */
cdrdaoPath=SysIni(installDir"\cdrecord.ini",'cdrdao','path')
if cdrdaoPath='ERROR:' then exit
cdrdaoPath=LEFT(cdrdaoPath,LENGTH(cdrdaoPath)-1)
SAY 'cdrdaoPath: 'cdrdaoPath

SAY ''
SAY '-------------------------------------------------'
SAY''

/* Build cdrdao command line */
cdrdaoPath=cdrdaoPath||' copy --device 'targetDevice
if simulate=1 then cdrdaoPath=cdrdaoPath||' --simulate'     /* Simulate? */
cdrdaoPath=cdrdaoPath||' --buffers 90 --driver 'driver' --datafile 'imageDrive'/cd.bin 'imageDrive'/cd.toc'

/* Start cdrdao */
cdrdaoPath

'del 'imageDrive'\cd.bin'
'del 'imageDrive'\cd.toc'

say ''
SAY '-------------------------------------------------'
SAY ''
SAY 'Done!'

